CREATE TABLE doo_source_orders (
    SOURCE_ORDER_ID           VARCHAR2(200),
    SOURCE_ORDER_SYSTEM       VARCHAR2(200),
    SOURCE_ORDER              XMLTYPE          NOT NULL,
    SOURCE_REVISION_NUMBER    NUMBER(18, 0),
    SUBMIT_STATUS_CODE        VARCHAR2(120),
    HEADER_ID                 NUMBER(18, 0),
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    SOURCE_ORDER_ID           VARCHAR2(200),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    SOURCE_ORDER_SYSTEM       VARCHAR2(200),
    SOURCE_ORDER              XMLTYPE          NOT NULL,
    SOURCE_REVISION_NUMBER    NUMBER(18, 0),
    SUBMIT_STATUS_CODE        VARCHAR2(120),
    HEADER_ID                 NUMBER(18, 0),
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CONSTRAINT pk_doo_source_orders PRIMARY KEY (SOURCE_ORDER_ID, SOURCE_ORDER_SYSTEM, SOURCE_REVISION_NUMBER, SOURCE_ORDER_ID, SOURCE_ORDER_SYSTEM, SOURCE_REVISION_NUMBER)
);
